<template>
  <div id="game-boxes">
    <article class="game-box" v-for="gameBox of gameBoxes" :key="gameBox.id">
      <header>
        <h2 class="game-name">{{ gameBox.name }}</h2>
      </header>
      <code class="game-meta">{{ gameBox.lobby }}</code>
      <div class="game-description" v-html="gameBox.description"></div>
      <RouterLink :to="`/${gameBox.id}`">Create Game Lobby</RouterLink>
    </article>
  </div>
</template>

<script lang="ts">
import { inject, defineComponent } from "vue";
import { GAME_BOXES_INJECT } from "@/modules/games/game-boxes.provider";

export default defineComponent({
  setup() {
    const { gameBoxes } = inject(GAME_BOXES_INJECT)!;
    return { gameBoxes };
  },
});
</script>

<style lang="scss" scoped>
@import "!/styles/variables";
@import "!/styles/mixins";

#game-boxes {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  align-items: stretch;
  margin: (-$spacing-lg / 2) (-$spacing-xl / 2);
  > * {
    margin: ($spacing-lg / 2) ($spacing-xl / 2);
  }
}

.game-box {
  flex: 1;
  display: flex;
  flex-direction: column;
  background-color: $white;
  padding: $spacing-xl;
  text-align: center;
  flex-basis: 50ch;
  max-width: 70ch;
}

.game-name {
  font-weight: 600;
  font-size: 1.2rem;
  margin-bottom: $spacing-xl;
}

.game-meta {
  display: block;
  color: #56a1c6;
  font-size: 0.8rem;
  font-weight: 500;
  margin-bottom: $spacing-lg;
}

.game-description {
  margin-bottom: $spacing-xl;
  text-align: justify;
  @include user-content;
}

a {
  margin-top: auto;
  display: block;
  @include action-button;
}
</style>
